Table of Contents

Class: UserInterface | eric3/UI/UserInterface.py
--- | ---

### Class implementing the main user interface.

#### Signals

appendStderr(string)
  emitted to write data to stderr logger
appendStdout(string)
  emitted to write data to stdout logger
preferencesChanged()
  emitted after the preferences were changed

Base Classes |
--- | ---
QMainWindow

Methods |
--- | ---

__init__
closeEvent
createDockWindow
getActions
getDebugServer
getDebugger
getProject
getRefactoring
getViewManager
getWizards
handleAbout
handleAboutQt
handleAssistant
handleConfigShortcuts
handleDeleteScript
handleDesigner
handleEditorOpened
handleEricDoc
handleExecuteDocumentAsScript
handleExecuteScript
handleFirstScriptAdded
handleHelpViewer
handleLastEditorClosed

handleLastScriptDeleted
handleLineUpTBs
handleLinguist
handleLoadScript
handleLogViewer
handleNewProject
handlePreferences
handleProgramChange
handleProjectBrowser
handleProjectClosed
handleProjectOpened
handlePythonDoc
handleQtDoc
handleQuit
handleReportBug
handleSBV
handleShell
handleShowToolbarsMenu
handleShowToolsMenu
handleShowWindowMenu
handleTBMenu
handleToolExecute
handleToolExited

handleToolStderr
handleToolStdout
handleToolsConfiguration
handleUnittest
handleVersions
initActions
initEricDocAction
initMenus
initPythonDocAction
initQtDocAction
initStatusbar
initToolbars
launchHelpViewer
processArgs
setWindowCaption
setupDockWindow
showLogTab
shutdown
toggleWindow

| __init__

    __init__ ( self,  loc )

### Constructor

#### Arguments

loc
  locale to be used by the UI (string)

| closeEvent

    closeEvent ( self,  event )

### Private event handler for the close event.

This event handler saves the preferences.

#### Arguments

event
  close event (QCloseEvent)

| createDockWindow

    createDockWindow ( self )

### Private method to create a dock window with common properties.

#### Returns

the generated dock window (QDockWindow)

| getActions

    getActions ( self )

### Public method to get a list of all actions.

#### Returns

list of all actions (list of QAction)

| getDebugServer

    getDebugServer ( self )

### Public method to retrieve the debug server object.

#### Returns

reference to the debug server object

| getDebugger

    getDebugger ( self )

### Public method to retrieve the debugger object

#### Returns

reference to the debug UI object

| getProject

    getProject ( self )

### Public method to retrieve the project object.

#### Returns

reference to the project object

| getRefactoring

    getRefactoring ( self )

### Public method to retrieve the refactoring object

#### Returns

reference to the refactoring object

| getViewManager

    getViewManager ( self )

### Public method to retrieve the viewmanager object.

#### Returns

reference to the viewmanager object

| getWizards

    getWizards ( self )

### Public method to retrieve the wizards object

#### Returns

reference to the wizards object

| handleAbout

    handleAbout ( self )

Private slot to handle the About dialog.

| handleAboutQt

    handleAboutQt ( self )

Private slot to handle the About Qt dialog.

| handleAssistant

    handleAssistant ( self )

Private slot to start the Qt-Assistant executable.

| handleConfigShortcuts

    handleConfigShortcuts ( self )

Private slot to configure the keyboard shortcuts.

| handleDeleteScript

    handleDeleteScript ( self )

Public method to delete a script.

| handleDesigner

    handleDesigner ( self,  fn=None )

### Private slot to start the Qt-Designer executable.

#### Arguments

fn
  filename of the form to be opened

| handleEditorOpened

    handleEditorOpened ( self )

Public slot to handle the editorOpened signal.

| handleEricDoc

    handleEricDoc ( self )

Private slot to show the Eric documentation.

| handleExecuteDocumentAsScript

    handleExecuteDocumentAsScript ( self )

Private slot to handle the execute document as script menu action.

| handleExecuteScript

    handleExecuteScript ( self )

Public method to execute a script.

| handleFirstScriptAdded

    handleFirstScriptAdded ( self )

Private slot to handle the firstScriptAdded signal

| handleHelpViewer

    handleHelpViewer ( self )

Private slot to start an empty help viewer.

| handleLastEditorClosed

    handleLastEditorClosed ( self )

Public slot to handle the lastEditorClosed signal.

| handleLastScriptDeleted

    handleLastScriptDeleted ( self )

Private slot to handle the lastScriptDeleted signal

| handleLineUpTBs

    handleLineUpTBs ( self )

Private slot to handle the line up toolbars menu entry.

| handleLinguist

    handleLinguist ( self,  fn=None )

### Private slot to start the Qt-Linguist executable.

#### Arguments

fn
  filename of the translation file to be opened

| handleLoadScript

    handleLoadScript ( self )

Private slot to handle the load script menu action.

| handleLogViewer

    handleLogViewer ( self )

Private slot to handle the toggle of the Log Viewer window.

| handleNewProject

    handleNewProject ( self )

Public slot to handle the NewProject signal.

| handlePreferences

    handlePreferences ( self )

Private slot to set the preferences.

| handleProgramChange

    handleProgramChange ( self,  fn )

### Public slot to handle the programChange signal.

This primarily is here to set the currentProg variable.

| handleProjectBrowser

    handleProjectBrowser ( self )

Private slot to handle the toggle of the Project Browser window.

| handleProjectClosed

    handleProjectClosed ( self )

Public slot to handle the projectClosed signal.

| handleProjectOpened

    handleProjectOpened ( self )

Public slot to handle the projectOpened signal.

| handlePythonDoc

    handlePythonDoc ( self )

Private slot to show the Python documentation.

| handleQtDoc

    handleQtDoc ( self )

Private slot to show the Qt documentation.

| handleQuit

    handleQuit ( self )

Private method to quit the application.

| handleReportBug

    handleReportBug ( self )

Private slot to handle the Report Bug dialog.

| handleSBV

    handleSBV ( self )

Private slot to handle the toggle of the Shell/Browser/Variables window.

| handleShell

    handleShell ( self )

Private slot to handle the toggle of the Shell window .

| handleShowToolbarsMenu

    handleShowToolbarsMenu ( self )

Private slot to display the Toolbars menu.

| handleShowToolsMenu

    handleShowToolsMenu ( self )

Private slot to display the Tools menu.

| handleShowWindowMenu

    handleShowWindowMenu ( self )

Private slot to display the Window menu.

| handleTBMenu

    handleTBMenu ( self,  idx )

Private method to handle the toggle of a toolbar.

| handleToolExecute

    handleToolExecute ( self,  idx )

### Private slot to execute a particular tool.

#### Arguments

idx
  index into the list of configured tools

| handleToolExited

    handleToolExited ( self )

Private slot to handle the processExited signal of a tool process.

| handleToolStderr

    handleToolStderr ( self )

Private slot to handle the readyReadStderr signal of a tool process.

| handleToolStdout

    handleToolStdout ( self )

Private slot to handle the readyReadStdout signal of a tool process.

| handleToolsConfiguration

    handleToolsConfiguration ( self )

Private slot to handle the tools configuration menu entry.

| handleUnittest

    handleUnittest ( self,  prog=None )

### Private slot for displaying the unittest dialog.

#### Arguments

prog
  the python program to be opened

| handleVersions

    handleVersions ( self )

Private slot to handle the Versions dialog.

| initActions

    initActions ( self )

Private method to define the user interface actions.

| initEricDocAction

    initEricDocAction ( self )

Private slot to initialize the action to show the eric3 documentation.

| initMenus

    initMenus ( self )

Private slot to create the menus.

| initPythonDocAction

    initPythonDocAction ( self )

Private slot to initilize the action to show the Python documentation.

| initQtDocAction

    initQtDocAction ( self )

Private slot to initilize the action to show the Qt documentation.

| initStatusbar

    initStatusbar ( self )

Private slot to set up the status bar.

| initToolbars

    initToolbars ( self )

Private slot to create the toolbars.

| launchHelpViewer

    launchHelpViewer ( self,  home )

### Private slot to start the help viewer.

#### Arguments

home
  filename of to be shown

| processArgs

    processArgs ( self,  args )

### Public method to process the command line args passed to the UI.

#### Arguments

args
  list of files to open The args are processed one at a time, if the arg ends in .py, the file is opened in the text editor. Once the last .py file is reached, any arguments after that are considered debug arguments to the program for the debugger. (The assumption being that you are launching eric3 to debug a script that takes args.). All files prior to the last .py encountered are opened in the text editor, unless the argument ends in .e3p, then it is opened as a project file.

| setWindowCaption

    setWindowCaption ( self,  project=None )

### Private method to set the caption of the Main Window.

#### Arguments

project
  project name to be displayed (string or QString)

| setupDockWindow

    setupDockWindow (
            self,
            dock,
            where,
            widget,
            caption,
            )

### Private method to configure the dock window created with createDockWindow().

#### Arguments

dock
  the dock window (QDockWindow)
where
  dock area to be docked to (QDockArea)
widget
  widget to be shown in the dock window (QWidget)
caption
  caption of the dock window (string or QString)

| showLogTab

    showLogTab ( self,  tabname )

### Public method to show a particular Log-Viewer tab.

#### Arguments

tabname
  string naming the tab to be shown (string)

| shutdown

    shutdown ( self )

### Private method to perform all neccessary steps to close down the IDE.

#### Returns

flag indicating success

| toggleWindow

    toggleWindow ( self,  w )

Private method to toggle a workspace editor window.

Table of Contents

This document was automatically generated by HappyDoc version 2.1